: Class ResourceCell

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class ResourceCell

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.ResourceCell

public class ResourceCell
extends java.lang.Object

A wrapper of classname, used in dnd feature.

Field Summary
`static java.lang.String` | `CONTAINER_S`
`static java.lang.String` | `FILTER_S`
`static java.lang.String` | `FRAME_S`
`static java.lang.String` | `INDEXER_S`
`static java.lang.String` | `META_S`
`static java.lang.String` | `RESOURCE_S`

Constructor Summary
`ResourceCell(java.lang.String name, java.lang.String spec)` Constructor.

Method Summary
`boolean` | `isContainer()` Return true if the Resource wrapped by this cell is a container.
`boolean` | `isFilter()` Return true if the Resource wrapped by this cell is a filter.
`boolean` | `isFrame()` Return true if the Resource wrapped by this cell is a frame.
`boolean` | `isIndexer()` Return true if the Resource wrapped by this cell is an Indexer.
`boolean` | `isMetaDataFrame()` Return true if the Resource wrapped by this cell is a MetaDataFrame.
`boolean` | `isResource()` Return true if the Resource wrapped by this cell is a resource.
`java.lang.String` | `toString()` Return the classname

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDEXER_S

    public static final java.lang.String INDEXER_S

### CONTAINER_S

    public static final java.lang.String CONTAINER_S

### RESOURCE_S

    public static final java.lang.String RESOURCE_S

### FRAME_S

    public static final java.lang.String FRAME_S

### FILTER_S

    public static final java.lang.String FILTER_S

### META_S

    public static final java.lang.String META_S

Constructor Detail

### ResourceCell

    public ResourceCell(java.lang.String name,
                        java.lang.String spec)

  Constructor.
  Parameters:
    `name` - the resource classname
    `spec` - INDEXER_S, CONTAINER_S, RESOURCE_S, FRAME_S or FILTER_S

Method Detail

### isIndexer

    public boolean isIndexer()

  Return true if the Resource wrapped by this cell is an Indexer.
  Returns:
    a boolean

### isContainer

    public boolean isContainer()

  Return true if the Resource wrapped by this cell is a container.
  Returns:
    a boolean

### isResource

    public boolean isResource()

  Return true if the Resource wrapped by this cell is a resource.
  Returns:
    a boolean

### isFrame

    public boolean isFrame()

  Return true if the Resource wrapped by this cell is a frame.
  Returns:
    a boolean

### isFilter

    public boolean isFilter()

  Return true if the Resource wrapped by this cell is a filter.
  Returns:
    a boolean

### isMetaDataFrame

    public boolean isMetaDataFrame()

  Return true if the Resource wrapped by this cell is a MetaDataFrame.
  Returns:
    a boolean

### toString

    public java.lang.String toString()

  Return the classname
  Overrides:
    toString in class java.lang.Object
  Returns:
    a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD